Create a Watsonx inference endpoint

Auth

Create an inference endpoint to perform an inference task with the watsonxai service. You need an IBM Cloud Databases for Elasticsearch deployment to use the watsonxai inference service. You can provision one through the IBM catalog, the Cloud Databases CLI plug-in, the Cloud Databases API, or Terraform.

Required privileges

Cluster privileges manage_inference

Path parameters

task_type enum required

The type of the inference task that the model will perform.

Values: text_embedding rerank chat_completion completion
watsonx_inference_id string required

The unique identifier of the inference endpoint.

Query parameters

timeout union oneOf · default: 30s

Specifies the amount of time to wait for the inference endpoint to be created.

Values: -1 0

Request body

service enum required

The type of service supported for the specified task type. In this case, watsonxai.

Values: watsonxai
service_settings object required

Settings used to install the inference model. These settings are specific to the watsonxai service.

api_key string required

A valid API key of your Watsonx account. You can find your Watsonx API keys or you can create a new one on the API keys page.

Important

You need to provide the API key only once, during the inference model creation. The get inference endpoint API does not retrieve your API key.

api_version string required

A version parameter that takes a version date in the format of YYYY-MM-DD. For the active version data parameters, refer to the Wastonx documentation.

model_id string required

The name of the model to use for the inference task. Refer to the IBM Embedding Models section in the Watsonx documentation for the list of available text embedding models. Refer to the IBM library - Foundation models in Watsonx.ai.

project_id string required

The identifier of the IBM Cloud project to use for the inference task.

url string required

The URL of the inference endpoint that you created on Watsonx.

Response

application/json
service string required

The service type

service_settings object required

Settings specific to the service

task_settings object

Task settings specific to the service and task type

inference_id string required

The inference Id

task_type enum required

The task type

Values: text_embedding chat_completion completion